Subject: bug#2117: vc-dir slowdown on subversion due to vc-stay-local

From: Nick Roberts <[email-masked]>
Date: Sat, 31 Jan 2009 10:46:29 +1300

> Using vc-dir on a big tree under subversion (like GCC for example) is
 > slow and does not seem to be asynchronous, emacs is unresponsive for a
 > long time.
 > 
 > The problems was introduced in revision 1.98 of vc-svn.el and is due to
 > this:  (let ((remote (not (vc-stay-local-p dir))))
 > 
 > (vc-stay-local-p DIR)  ends up calling (vc-svn-registered DIR) and that
 > executes and parses "svn status -v DIR" which for a big tree like gcc is
 > 60K lines...

Why does vc-svn-registered need to execute "svn status -v DIR".  Can it not
just parse the text-base directory instead?

-- 
Nick                                           http://www.inet.net.nz/~nickrob